cURL
curl --request PATCH \ --url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/network-config \ --header 'Content-Type: application/json' \ --data ' { "kms_urls": [ "<string>" ], "gateway_urls": [ "<string>" ], "restart": false } '
{ "kms_urls": [ "<string>" ], "gateway_urls": [ "<string>" ], "ports": [ { "host_port": 32768, "vm_port": 32768, "protocol": "tcp", "host_address": "" } ] }
Update KMS and/or Gateway URLs for this CVM. Requires VMM >= 0.5.7.
Documentation IndexFetch the complete documentation index at: https://docs.phala.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.phala.com/llms.txt
Use this file to discover all available pages before exploring further.
Partial update for KMS/Gateway URLs. Only set fields are applied.
Restart the CVM after applying changes to reload configuration.
Updated network configuration
Real-time network configuration from VMM.
Show child attributes
Was this page helpful?